import type { ForwardRefExoticComponent, RefAttributes } from 'react';
import React from 'react';
export declare const VideoForRendering: ForwardRefExoticComponent<Omit<React.DetailedHTMLProps<React.VideoHTMLAttributes<HTMLVideoElement>, HTMLVideoElement>, "nonce" | "onError" | "onEnded" | "autoPlay" | "controls" | "disableRemotePlayback"> & {
    name?: string | undefined;
    volume?: import("../volume-prop.js").VolumeProp | undefined;
    playbackRate?: number | undefined;
    acceptableTimeShiftInSeconds?: number | undefined;
    allowAmplificationDuringRender?: boolean | undefined;
    toneFrequency?: number | undefined;
    pauseWhenBuffering?: boolean | undefined;
    showInTimeline?: boolean | undefined;
    delayRenderTimeoutInMilliseconds?: number | undefined;
    loopVolumeCurveBehavior?: import("../audio/use-audio-frame.js").LoopVolumeCurveBehavior | undefined;
    delayRenderRetries?: number | undefined;
    onError?: ((err: Error) => void) | undefined;
    onAutoPlayError?: (() => void) | undefined;
} & {
    readonly onDuration: (src: string, durationInSeconds: number) => void;
} & RefAttributes<HTMLVideoElement>>;
